include <leg_modules.scad>;
module fr_beta_joint_pos() translate([0, 0.0125, -1.02105]) rotate([0, 0, 0]){
  femur(0.045);
  children();
}

module fr_alfa_joint_pos() translate([0, 0, 0]) rotate([0, 0, 0]){
  coxa();
  children();
}

module fr_gama_joint_pos() translate([0, 0.045, 0]) rotate([-1.5707963267948966, 0, 0]){
  tibia();
  children();
}

module fr_leg()translate([0.055, -0.025, 0])rotate([0, 0, -2.6179938779914944])mirror([0, 0, 0]){
 fr_alfa_joint_pos() fr_beta_joint_pos() fr_gama_joint_pos();
}
module rr_beta_joint_pos() translate([0, 0.0125, -1.02105]) rotate([0, 0, 0]){
  femur(0.045);
  children();
}

module rr_alfa_joint_pos() translate([0, 0, 0]) rotate([0, 0, 0]){
  coxa();
  children();
}

module rr_gama_joint_pos() translate([0, 0.045, 0]) rotate([-1.5707963267948966, 0, 0]){
  tibia();
  children();
}

module rr_leg()translate([-0.055, -0.025, 0])rotate([0, 0, 2.6179938779914944])mirror([1, 0, 0]){
 rr_alfa_joint_pos() rr_beta_joint_pos() rr_gama_joint_pos();
}
module mr_beta_joint_pos() translate([0, 0.0125, -1.02105]) rotate([0, 0, 0]){
  femur(0.045);
  children();
}

module mr_alfa_joint_pos() translate([0, 0, 0]) rotate([0, 0, 0]){
  coxa();
  children();
}

module mr_gama_joint_pos() translate([0, 0.045, 0]) rotate([-1.5707963267948966, 0, 0]){
  tibia();
  children();
}

module mr_leg()translate([0, -0.03, 0])rotate([0, 0, 3.141592653589793])mirror([1, 0, 0]){
 mr_alfa_joint_pos() mr_beta_joint_pos() mr_gama_joint_pos();
}
module rl_beta_joint_pos() translate([0, 0.0125, -1.02105]) rotate([0, 0, 0]){
  femur(0.045);
  children();
}

module rl_alfa_joint_pos() translate([0, 0, 0]) rotate([0, 0, 0]){
  coxa();
  children();
}

module rl_gama_joint_pos() translate([0, 0.045, 0]) rotate([-1.5707963267948966, 0, 0]){
  tibia();
  children();
}

module rl_leg()translate([-0.055, 0.025, 0])rotate([0, 0, 0.5235987755982988])mirror([0, 0, 0]){
 rl_alfa_joint_pos() rl_beta_joint_pos() rl_gama_joint_pos();
}
module ml_beta_joint_pos() translate([0, 0.0125, -1.02105]) rotate([0, 0, 0]){
  femur(0.045);
  children();
}

module ml_alfa_joint_pos() translate([0, 0, 0]) rotate([0, 0, 0]){
  coxa();
  children();
}

module ml_gama_joint_pos() translate([0, 0.045, 0]) rotate([-1.5707963267948966, 0, 0]){
  tibia();
  children();
}

module ml_leg()translate([0, 0.03, 0])rotate([0, 0, 0])mirror([0, 0, 0]){
 ml_alfa_joint_pos() ml_beta_joint_pos() ml_gama_joint_pos();
}
module fl_beta_joint_pos() translate([0, 0.0125, -1.02105]) rotate([0, 0, 0]){
  femur(0.045);
  children();
}

module fl_alfa_joint_pos() translate([0, 0, 0]) rotate([0, 0, 0]){
  coxa();
  children();
}

module fl_gama_joint_pos() translate([0, 0.045, 0]) rotate([-1.5707963267948966, 0, 0]){
  tibia();
  children();
}

module fl_leg()translate([0.055, 0.025, 0])rotate([0, 0, -0.5235987755982988])mirror([1, 0, 0]){
 fl_alfa_joint_pos() fl_beta_joint_pos() fl_gama_joint_pos();
}
module legs(){
 fr_leg();
 rr_leg();
 mr_leg();
 rl_leg();
 ml_leg();
 fl_leg();
}
module leg_pos(){
translate([0.055, -0.025, 0])rotate([0, 0, -2.6179938779914944])mirror([0, 0, 0])children();
translate([-0.055, -0.025, 0])rotate([0, 0, 2.6179938779914944])mirror([1, 0, 0])children();
translate([0, -0.03, 0])rotate([0, 0, 3.141592653589793])mirror([1, 0, 0])children();
translate([-0.055, 0.025, 0])rotate([0, 0, 0.5235987755982988])mirror([0, 0, 0])children();
translate([0, 0.03, 0])rotate([0, 0, 0])mirror([0, 0, 0])children();
translate([0.055, 0.025, 0])rotate([0, 0, -0.5235987755982988])mirror([1, 0, 0])children();
}
